%global         appid com.mattjakeman.ExtensionManager
Name:           extension-manager
Version:        0.6.0
Release:        2%{?dist}
Summary:        A utility for browsing and installing GNOME Shell Extensions

License:        GPL-3.0-or-later
URL:            https://github.com/mjakeman/extension-manager
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig(blueprint-compiler)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libxml-2.0)

%description
A native tool for browsing, installing, and managing GNOME Shell Extensions.


%prep
%autosetup

%build
%meson \
  -Dbacktrace=false
%meson_build

%install
%meson_install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appid}.desktop
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor
%{_datadir}/metainfo/%{appid}.metainfo.xml

%changelog
* Tue Dec 10 2024 Richard Rahl <rrahl0@opensuse.org> 0.6.0-2
- adjusting the packaging according to fedora-review
* Mon Dec 09 2024 Richard Rahl <rrahl0@opensuse.org> 0.6.0-1
- new package built with tito
